%global homedir %{_datadir}/tuskar

Name:	      openstack-tuskar-ui
Version:	  0.3.0
Release:	  13%{?dist}
Summary:	  The UI component for Tuskar

Group:		  Applications/System
License:	  ASL 2.0
URL:		    https://github.com/openstack/tuskar-ui
Source0:	  https://pypi.python.org/packages/source/t/tuskar-ui/tuskar-ui-%{version}.tar.gz

#
# patches_base=+1
Patch0001: 0001-Removed-Less-remains-updated-MANIFEST.in.patch
Patch0002: 0002-Override-submit_url-on-images.UpdateView.patch
Patch0003: 0003-Add-python-tuskarclient-to-the-installation-docs.patch
Patch0004: 0004-Use-newer-django.patch
Patch0005: 0005-Allow-to-upload-all-data-from-nodes.csv-file.patch
Patch0006: 0006-Fix-tests-failing-under-django-1.8.patch
Patch0007: 0007-Fix-typo-in-Voltage.patch
Patch0008: 0008-Use-get-to-get-a-value-from-dict.patch
Patch0009: 0009-Use-current-user-s-e-mail-address-as-default-in-post.patch
Patch0010: 0010-Replace-mimetype-arg-of-HttpResponse-with-content_ty.patch
Patch0011: 0011-Add-radix-parameter-to-parseInt.patch
Patch0012: 0012-Add-ability-to-create-images.patch
Patch0013: 0013-Fixed-missing-scss-file-error.patch
Patch0014: 0014-Make-use-of-parameter_type-and-constraints.patch
Patch0015: 0015-Updated-from-global-requirements.patch
Patch0016: 0016-Updated-from-global-requirements.patch
Patch0017: 0017-Synced-run_tests.sh-with-horizon-requirements-cleanu.patch
Patch0018: 0018-Simplified-service-config-updates.patch
Patch0019: 0019-Only-fetch-kernel-and-ramdisk-images-when-needed.patch
Patch0020: 0020-Suggested-Flavors-displaying-tweaks.patch
Patch0021: 0021-Add-capabilities-boot_option-local-to-flavor-creatio.patch
Patch0022: 0022-Add-Network-Isolation.patch
Patch0023: 0023-Add-missing-form-attribute-for-image-upload-form.patch
Patch0024: 0024-Fix-image-filtering-in-create-node-form.patch
Patch0025: 0025-Nodes-registration-updates.patch
Patch0026: 0026-Add-template-processing-before-creating-updating-sta.patch
Patch0027: 0027-Fix-get_nodes_stats.patch
Patch0028: 0028-Updated-from-global-requirements.patch
Patch0029: 0029-Fix-node-states-in-pie-charts.patch
Patch0030: 0030-Update-Neutron-initialization-setup.patch
Patch0031: 0031-Fix-Nova-Server-Resources-listing-for-Role-in-Stack.patch
Patch0032: 0032-Rename-node-detail-url-name.patch
Patch0033: 0033-Properly-filter-Ceilometer-statistics-for-charts.patch
Patch0034: 0034-Adds-selected-memoization.patch
Patch0035: 0035-Optimizes-API-Calls.patch
Patch0036: 0036-Remove-Neutron-init-from-post-deployment-init.patch
Patch0037: 0037-Add-missing-params-for-Ceph-and-scaling.patch
Patch0038: 0038-Fixes-EndpointNotFound-after-deployment.patch

BuildArch:     noarch

BuildRequires: python2-devel
BuildRequires: python-setuptools
BuildRequires: python-lockfile
BuildRequires: python-pbr
BuildRequires: python-sphinx >= 1.1.3
BuildRequires: Django
BuildRequires: python-django
BuildRequires: python-django-horizon
BuildRequires: openstack-dashboard
BuildRequires: os-cloud-config
BuildRequires: python-cinderclient
BuildRequires: python-novaclient
BuildRequires: python-keystoneclient
BuildRequires: python-heatclient
BuildRequires: python-glanceclient
BuildRequires: python-neutronclient
BuildRequires: python-ceilometerclient
BuildRequires: python-swiftclient
BuildRequires: python-ironicclient
BuildRequires: python-tuskarclient
BuildRequires: tree

#
# patches_base=+1
#

# testing deps, not on RHEl
%if 0%{?rhel} == 0
BuildRequires: python-flake8
BuildRequires: python-coverage
BuildRequires: python-django-nose
BuildRequires: python-mock
BuildRequires: python-mox
BuildRequires: python-nose
BuildRequires: python-nose-exclude
BuildRequires: python-nose-xcover
BuildRequires: python-openstack-nose-plugin
BuildRequires: python-selenium
%endif

Requires: Django
Requires: python-django
Requires: python-django-compressor
Requires: python-django-pyscss
Requires: python-django-openstack-auth
Requires: pytz
Requires: openstack-dashboard
Requires: os-cloud-config
Requires: python-lockfile
Requires: python-scss
Requires: python-netaddr
Requires: python-eventlet
Requires: python-kombu
Requires: python-iso8601
Requires: python-oslo-config
Requires: python-lockfile
Requires: python-cinderclient
Requires: python-novaclient
Requires: python-keystoneclient
Requires: python-heatclient
Requires: python-glanceclient
Requires: python-neutronclient
Requires: python-ceilometerclient
Requires: python-swiftclient
Requires: python-ironicclient
Requires: python-tuskarclient


%description
tuskar-ui is a user interface for Tuskar, a management API for OpenStack
deployments. It is a plugin for OpenStack Horizon.

%prep
%setup -q -n tuskar-ui-%{version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1
%patch0011 -p1
%patch0012 -p1
%patch0013 -p1
%patch0014 -p1
%patch0015 -p1
%patch0016 -p1
%patch0017 -p1
%patch0018 -p1
%patch0019 -p1
%patch0020 -p1
%patch0021 -p1
%patch0022 -p1
%patch0023 -p1
%patch0024 -p1
%patch0025 -p1
%patch0026 -p1
%patch0027 -p1
%patch0028 -p1
%patch0029 -p1
%patch0030 -p1
%patch0031 -p1
%patch0032 -p1
%patch0033 -p1
%patch0034 -p1
%patch0035 -p1
%patch0036 -p1
%patch0037 -p1
%patch0038 -p1

rm -rf tuskar_ui.egg-info/

# Remove the requirements file so that pbr hooks don't add it
# to distutils requires_dist config
rm -rf {test-,}requirements.txt tools/{pip,test}-requires

%build
export OSLO_PACKAGE_VERSION=%{version}
%{__python2} setup.py build

%install
export OSLO_PACKAGE_VERSION=%{version}
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}

# Move config to horizon
mkdir -p  %{buildroot}%{_sysconfdir}/openstack-dashboard/enabled
mkdir -p  %{buildroot}%{_datadir}/openstack-dashboard/openstack_dashboard/local/enabled
mv _10_admin.py.example %{buildroot}%{_sysconfdir}/openstack-dashboard/enabled/_10_admin.py
mv _20_project.py.example %{buildroot}%{_sysconfdir}/openstack-dashboard/enabled/_20_project.py
mv _30_identity.py.example %{buildroot}%{_sysconfdir}/openstack-dashboard/enabled/_30_identity.py
mv _50_tuskar.py.example %{buildroot}%{_sysconfdir}/openstack-dashboard/enabled/_50_tuskar.py
ln -s %{_sysconfdir}/openstack-dashboard/enabled/_10_admin.py %{buildroot}%{_datadir}/openstack-dashboard/openstack_dashboard/local/enabled/_10_admin.py
ln -s %{_sysconfdir}/openstack-dashboard/enabled/_20_project.py %{buildroot}%{_datadir}/openstack-dashboard/openstack_dashboard/local/enabled/_20_project.py
ln -s %{_sysconfdir}/openstack-dashboard/enabled/_30_identity.py %{buildroot}%{_datadir}/openstack-dashboard/openstack_dashboard/local/enabled/_30_identity.py
ln -s %{_sysconfdir}/openstack-dashboard/enabled/_50_tuskar.py %{buildroot}%{_datadir}/openstack-dashboard/openstack_dashboard/local/enabled/_50_tuskar.py

# Move static files to horizon. These require that you compile them again
# post install { python manage.py compress }
mkdir -p  %{buildroot}%{_datadir}/openstack-dashboard/static/infrastructure
cp -r tuskar_ui/infrastructure/static/infrastructure/* %{buildroot}%{_datadir}/openstack-dashboard/static/infrastructure/
mkdir -p  %{buildroot}%{python_sitelib}/tuskar_ui/static/infrastructure
cp -r tuskar_ui/infrastructure/static/infrastructure/* %{buildroot}%{python_sitelib}/tuskar_ui/infrastructure/static/infrastructure/

%files
%doc LICENSE README.rst
%dir %{python_sitelib}/tuskar_ui
%{python_sitelib}/*.egg-info
%{python_sitelib}/tuskar_ui/*.py*
%{python_sitelib}/tuskar_ui/test
%{python_sitelib}/tuskar_ui/infrastructure
%{python_sitelib}/tuskar_ui/static
%{python_sitelib}/tuskar_ui/utils
%{python_sitelib}/tuskar_ui/api
%{python_sitelib}/tuskar_ui/infrastructure/templates
%{_datadir}/openstack-dashboard/openstack_dashboard/local/enabled/_10_admin.py*
%{_datadir}/openstack-dashboard/openstack_dashboard/local/enabled/_20_project.py*
%{_datadir}/openstack-dashboard/openstack_dashboard/local/enabled/_30_identity.py*
%{_datadir}/openstack-dashboard/openstack_dashboard/local/enabled/_50_tuskar.py*
%dir %{_datadir}/openstack-dashboard/static/infrastructure
%{_datadir}/openstack-dashboard/static/infrastructure/js
%{_datadir}/openstack-dashboard/static/infrastructure/tests
%{_datadir}/openstack-dashboard/static/infrastructure/scss
%{_datadir}/openstack-dashboard/static/infrastructure/images
%{_sysconfdir}/openstack-dashboard/enabled/_10_admin.py*
%{_sysconfdir}/openstack-dashboard/enabled/_20_project.py*
%{_sysconfdir}/openstack-dashboard/enabled/_30_identity.py*
%{_sysconfdir}/openstack-dashboard/enabled/_50_tuskar.py*

%check
# don't run tests on rhel
%if 0%{?rhel} == 0
# until django-1.6 support for tests is enabled, disable tests
export PYTHONPATH=$PYTHONPATH:%{_datadir}/openstack-dashboard
./run_tests.sh -N -P
%endif

%changelog
* Thu Jul 23 2015 Mike Burns <mburns@redhat.com> 0.3.0-13
- Fixes EndpointNotFound after deployment rhbz#1245192

* Thu Jul 16 2015 Mike Burns <mburns@redhat.com> 0.3.0-12
- Add missing params for Ceph and scaling rhbz#1243594

* Wed Jul 15 2015 Mike Burns <mburns@redhat.com> 0.3.0-11
- Remove Neutron init from post-deployment init rhbz#1243056

* Thu Jul 09 2015 Mike Burns <mburns@redhat.com> 0.3.0-10
- Optimizes API Calls rhbz#1236360

* Mon Jul 06 2015 Mike Burns <mburns@redhat.com> 0.3.0-9
- Rename node detail url name rhbz#1227013

* Wed Jul 01 2015 Mike Burns <mburns@redhat.com> 0.3.0-8
- Adds selected memoization
- Properly filter Ceilometer statistics for charts

* Mon Jun 29 2015 Mike Burns <mburns@redhat.com> 0.3.0-7
- Properly filter Ceilometer statistics for charts
- Merge "Fix Nova Server Resources listing for Role in Stack" into rhos-7.0-patches

* Wed Jun 24 2015 Mike Burns <mburns@redhat.com> 0.3.0-6
- Merge "Fix Nova Server Resources listing for Role in Stack" into rhos-7.0-patches
- Fix Nova Server Resources listing for Role in Stack

* Wed Jun 24 2015 Mike Burns <mburns@redhat.com> 0.3.0-5
- Update Neutron initialization setup

* Fri Jun 19 2015 Mike Burns <mburns@redhat.com> 0.3.0-4
- various fixes

* Fri Jun 19 2015 Mike Burns <mburns@redhat.com> 0.3.0-3
- Fix node states in pie charts rhbz#1231945
- Updated from global requirements

* Thu Jun 04 2015 Mike Burns <mburns@redhat.com> 0.3.0-2
- Updated from global requirements
- Updated from global requirements

* Wed May 06 2015 Mike Burns <mburns@redhat.com> 0.3.0-1
- Update to upstream 0.3.0

* Mon Feb 02 2015 Jaromir Coufal <jcoufal@redhat.com> 0.2.0-11
- Resolves: rhbz#1179821, Add webroot to overcloud dashboard url

* Tue Jan 13 2015 Jaromir Coufal <jcoufal@redhat.com> 0.2.0-10
- Set NeutronL3HA to True when number of Controllers is > 1

* Mon Jan 05 2015 Lon Hohberger <lon@redhat.com> 0.2.0-9
- Drop errant requires: on python-pbr

* Fri Dec 12 2014 Mike Burns <mburns@redhat.com> 0.2.0-8
- Remove unused cinder parameter

* Wed Dec 10 2014 Mike Burns <mburns@redhat.com> 0.2.0-7
- Add a scale-out dialog
- Refactor last events
- Workflow documentation is now in infra-manual
- Don't scroll on clicking ? in configuration
- Number picker improvements
- Use tarballs in requirements.txt
- Fixes for nodes status page
- Make all node forms update on IP change
- Fix the progress js
- Fix slugify call
- Fix role update link
- Fix displaying of failed events
- Fix delete confirmation dialogs
- Fixing stack update call
- Adding a block in the node details template
- Optimize heat.Resource.get_by_node
- Make progress code extandable
- Fix non showing password after csv upload
- Show/hide IPMI form fields correctly
- Tables styling
- API call optimization and test cleanup
- Define table header visibility using hidden_title meta
- Fix ipmi_password parameter name
- Fix ipmi driver name
- Move the nodes templtes to global templates directory
- Add counts to index pages
- Node detail styling and node state icon filter, role detail
- Cleaning up node states
- Add discovery states to nodes overview page
- Restyle the service configuration
- Nicer color for the warning icons
- Adding provision state of Ironic
- Improving the looks of the plan design page, part I
- Adding maintenance state to pie chart
- Re-factor nodes index tables
- Improve flavor index view
- Add nodes.sh script to generate node csv
- Fix disk_bytes calculation
- Fix of chart spinner
- Styling charts in Role detail
- Styling Node detail charts
- Add "Create" action for flavor suggestions
- Added image type filter
- Remove the Infrastructure panel group
- Flavor detail page styling
- Move actions to the header
- Styling Nodes Overview page
- Quick fix for unbreaking gate
- Style the Deployment Confirmation dialog
- Add password reveal icon to new nodes in node register
- Remove unused method parameters
- Added power check for delete node action
- Add last event to deployment in progress page
- Add support for min, max and step in the NumberPicker
- Correctly show failed events
- More readable flavor names
- Make safe int cast

* Mon Nov 17 2014 Lon Hohberger <lon@redhat.com> - 0.2.0-6
- Move python-flake8 dependency to the %if 0%{?rhel} block

* Tue Oct 28 2014 Jordan OMara <jomara@redhat.com> - 0.2.0-5
- changes to static file locations to more closely mirror horizon (jomara@redhat.com)

* Tue Oct 28 2014 Jordan OMara <jomara@redhat.com> - 0.2.0-5
- changes to static file locations to more closely mirror horizon (jomara@redhat.com)

* Fri Oct 17 2014 Jordan OMara <jomara@redhat.com> - 0.2.0-2
- conditionally loading test deps (not on RHEL) (jomara@redhat.com)

* Thu Oct 16 2014 Jordan OMara <jomara@redhat.com> - 0.2.0-1
- new sources (0.2.0) (jomara@redhat.com)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 09 2014 Jordan OMara <jomara@redhat.com> - 0.1.0-15
- IPMI form patch (jomara@redhat.com)

* Tue May 06 2014 Jordan OMara <jomara@redhat.com> - 0.1.0-14
- updated upstream patch w/ fixed escaping (jomara@redhat.com)

* Thu May 01 2014 Jordan OMara <jomara@redhat.com> - 0.1.0-13
- less confused patches from upstream (jomara@redhat.com)

* Thu May 01 2014 Jordan OMara <jomara@redhat.com> - 0.1.0-12
- Glance logfile & keystone api import fix (jomara@redhat.com)

* Wed Apr 30 2014 Jordan OMara <jomara@redhat.com> - 0.1.0-11
- Upstream instack comment patches

* Wed Apr 09 2014 Jordan OMara <jomara@redhat.com> - 0.1.0-10
- Explicit *.html callout

* Wed Apr 09 2014 Jordan OMara <jomara@redhat.com> - 0.1.0-8
- Github source is not sdist- moving to pypi

* Wed Apr 09 2014 Jordan OMara <jomara@redhat.com> - 0.1.0-7
- Correct upstream source now

* Tue Apr 08 2014 Jordan OMara <jomara@redhat.com> - 0.1.0-6
- Add unit tests

* Tue Apr 08 2014 Jordan OMara <jomara@redhat.com> - 0.1.0-5
- Remove .egg-info in %prep

* Mon Apr 07 2014 Jordan OMara <jomara@redhat.com> - 0.1.0-4
- Fixup from review

* Thu Apr 03 2014 Jordan OMara <jomara@redhat.com> - 0.1.0-3
- Added 0001-Missing-import-url.patch

* Tue Apr 01 2014 Jordan OMara <jomara@redhat.com> - 0.1.0-2
- adding infrastructure files to openstack-dashboard install

* Thu Mar 06 2014 Jordan OMara <jomara@redhat.com> - 0.1.0-1
- initial package
